#ifndef __MAKET_SERVER_H__
#define __MAKET_SERVER_H__

#include "Ethernet3.h"
#include "TCP.h"
#include <functional>

class EthernetMaketServer : EthernetServer
{
private:
    EthernetClient available();
    void accept(int sock);
    std::function<void(EthernetMaketClient)> serverHandler = [](EthernetMaketClient sclient){};

public:
    using EthernetServer::EthernetServer;
    EthernetMaketClient available(int sock);

    void setServerHandler(std::function<void(EthernetMaketClient)> handler);
    void resetServerHandler();
    void begin(int sock);
};

#endif // __MAKET_SERVER_H__
